#!/bin/ksh

#**************************************************************
# Listing 9:
# File: list_deleted.sh
#
# Description:
#
# This script takes a file generated by the compare command and
# lists the files that were deleted.
#
# Author: John Spurgeon (john.p.spurgeon@intel.com)
#
#**************************************************************

if [ "$#" -ne 1 ]
then
   echo "[$(basename $0)] Usage: $(basename $0) filename" >& 2
   exit 1
fi

FILE=$1

if ! [ -f $FILE ]
then
   echo "[$(basename $0)] Error: $FILE does not exist!" >& 2
   exit 1
fi

awk 'BEGIN {last = ""; buffer = ""}
{
   if (buffer != "") {
      if ($2 != last) {
         print buffer
      }
      buffer = ""
   }
   if ($1 == "<") {
      buffer = $2
   }
   last = $2
} END {
   if (buffer != "") {
      print buffer
   }
}' $FILE



